Skip to content
Start here

Create a custom page

zero_trust.access.custom_pages.create(CustomPageCreateParams**kwargs) -> CustomPageWithoutHTML
POST/accounts/{account_id}/access/custom_pages

Create a custom page

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Access: Custom Pages Write
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
custom_html: str

Custom page HTML.

name: str

Custom page name.

type: Literal["identity_denied", "forbidden"]

Custom page type.

One of the following:
"identity_denied"
"forbidden"
ReturnsExpand Collapse
class CustomPageWithoutHTML:
name: str

Custom page name.

type: Literal["identity_denied", "forbidden"]

Custom page type.

One of the following:
"identity_denied"
"forbidden"
uid: Optional[str]

UUID.

maxLength36

Create a custom page

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
custom_page_without_html = client.zero_trust.access.custom_pages.create(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    custom_html="<html><body><h1>Access Denied</h1></body></html>",
    name="name",
    type="identity_denied",
)
print(custom_page_without_html.uid)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "name": "name",
    "type": "identity_denied",
    "app_count": 0,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "uid": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "name": "name",
    "type": "identity_denied",
    "app_count": 0,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "uid": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}